<div class='fatigue-wrapper'>
  <header class='counter-header'>
    <button type='button' class='adjust-counter' data-action='fatigue-minus'>
      <i class='fa-solid fa-minus fa-lg'></i>
    </button>
    <span class='label'>{{localize 'SWADE.Fatigue'}}</span>
    <button type='button' class='adjust-counter' data-action='fatigue-plus'>
      <i class='fa-solid fa-plus fa-lg'></i>
    </button>
  </header>
  <div class='fatigue'>
    <span class='values'>
      <input
        type='number'
        min='0'
        name='system.fatigue.value'
        value='{{actor.system.fatigue.value}}'
        data-dtype='Number'
      />/{{actor.system.fatigue.max}}
    </span>
  </div>
</div>
<div class='wounds-wrapper'>
  <header class='counter-header'>
    <button type='button' class='adjust-counter' data-action='wounds-minus'>
      <i class='fa-solid fa-minus fa-lg'></i>
    </button>
    <span class='label'>{{localize 'SWADE.Wounds'}}</span>
    <button type='button' class='adjust-counter' data-action='wounds-plus'>
      <i class='fa-solid fa-plus fa-lg'></i>
    </button>
  </header>
  <div class='wounds'>
    <span class='values'>
      <input
        type='number'
        min='0'
        name='system.wounds.value'
        value='{{actor.system.wounds.value}}'
        data-dtype='Number'
      />/{{actor.system.wounds.max}}
    </span>
  </div>
</div>
<div class='status'>
  <label class='check-container'>
    {{localize 'SWADE.Shaken'}}
    <input
      type='checkbox'
      data-id='shaken'
      data-key='isShaken'
      {{checked actor.system.status.isShaken}}
    />
    <span class='checkmark'></span>
  </label>
  <label class='check-container'>
    {{localize 'SWADE.Distr'}}
    <input
      type='checkbox'
      data-id='distracted'
      data-key='isDistracted'
      {{checked actor.system.status.isDistracted}}
    />
    <span class='checkmark'></span>
  </label>
  <label class='check-container'>
    {{localize 'SWADE.Vuln'}}
    <input
      type='checkbox'
      data-id='vulnerable'
      data-key='isVulnerable'
      {{checked actor.system.status.isVulnerable}}
    />
    <span class='checkmark'></span>
  </label>
</div>
<div class='status'>
  <label class='check-container'>
    {{localize 'SWADE.Stunned'}}
    <input
      type='checkbox'
      data-id='stunned'
      data-key='isStunned'
      {{checked actor.system.status.isStunned}}
    />
    <span class='checkmark'></span>
  </label>
  <label class='check-container'>
    {{localize 'SWADE.Entangled'}}
    <input
      type='checkbox'
      data-id='entangled'
      data-key='isEntangled'
      {{checked actor.system.status.isEntangled}}
    />
    <span class='checkmark'></span>
  </label>
  <label class='check-container'>
    {{localize 'SWADE.Bound'}}
    <input
      type='checkbox'
      data-id='bound'
      data-key='isBound'
      {{checked actor.system.status.isBound}}
    />
    <span class='checkmark'></span>
  </label>
</div>
{{#if actor.isWildcard}}
  <div class='bennies'>
    <header class='counter-header'>
      <button type='button' class='adjust-counter' data-action='spend-benny'>
        <i class='fa-solid fa-minus fa-lg'></i>
      </button>
      <span class='label'>{{actor.system.bennies.value}}
        {{localize 'SWADE.Bennies'}}</span>
      <button type='button' class='adjust-counter' data-action='get-benny'>
        <i class='fa-solid fa-plus fa-lg'></i>
      </button>
    </header>
    {{#each currentBennies as |benny|}}
      {{#unless (gte @index 5)}}
        <span
          title='{{localize "SWADE.BenniesSpend"}}'
          class='benny adjust-counter'
          data-action='spend-benny'
          style='z-index: {{@index}}; grid-column: {{benny}} / span 8; background-image: url({{@root.bennyImageURL}});'
        ></span>
      {{/unless}}
    {{/each}}
  </div>
{{/if}}

<span class='attributes primary'>
  {{> "systems/swade/templates/actors/character/partials/attributes.hbs"}}
</span>
<span class='attributes derived'>
  <header class='section-header'>
    <span class='name'>{{localize 'SWADE.Derived'}}</span>
  </header>
  <span class='flexrow derived-list'>
    <div class='stat'>
      <span class='stat-label'>{{localize 'SWADE.Size'}}</span>
      <span class='stat-value flexrow'>
        <input
          name='system.stats.size'
          type='text'
          value='{{actor.system.stats.size}}'
          data-dtype='Number'
          data-tooltip='{{localize
            "SWADE.Scale"
          }}: {{actor.system.stats.scale}}'
        />
      </span>
    </div>
    <div class='stat'>
      <span class='stat-label'>{{localize 'SWADE.Pace'}}</span>
      <span class='stat-value flexrow'>
        <input
          type='text'
          value='{{actor.system.stats.speed.adjusted}}'
          data-dtype='Number'
          placeholder='{{localize "SWADE.Pace"}}'
          disabled
        />
        <button
          type='button'
          class='running-die'
          title='{{localize "SWADE.Roll"}} {{localize "SWADE.RunningDie"}}'
          style='background-image: url(systems/swade/assets/official/dice/d{{actor.system.stats.speed.runningDie}}.svg);'
        >
          <span class='sr-only'>
            d{{actor.system.stats.speed.runningDie}}
            {{localize 'SWADE.RunningDie'}}
          </span>
        </button>
      </span>
    </div>
    <div class='stat'>
      <span class='stat-label'>{{localize 'SWADE.Parry'}}</span>
      <span class='stat-value flexrow'>
        <input
          name='system.stats.parry.value'
          value='{{actor.system.stats.parry.value}}'
          type='text'
          placeholder='{{localize "SWADE.Parry"}}'
          data-dtype='Number'
          {{disabled actor.system.details.autoCalcParry}}
          data-tooltip='{{parryTooltip}}'
        />
        <button
          type='button'
          class='parry-display'
          {{disabled actor.system.details.autoCalcParry}}
        >
          {{actor.system.stats.parry.shield}}
        </button>
      </span>
    </div>
    <div class='stat'>
      <span class='stat-label'>{{localize 'SWADE.Tough'}}</span>
      <span class='stat-value flexrow'>
        <input
          id='toughness'
          name='system.stats.toughness.value'
          type='text'
          value='{{actor.system.stats.toughness.value}}'
          placeholder='{{localize "SWADE.Tough"}}'
          data-dtype='Number'
          {{disabled actor.system.details.autoCalcToughness}}
          data-tooltip='{{toughnessTooltip}}'
        />
        <button
          type='button'
          class='armor-display'
          {{disabled actor.system.details.autoCalcToughness}}
          data-tooltip='{{armorTooltip}}'
        >
          {{actor.system.stats.toughness.armor}}
        </button>
      </span>
    </div>
  </span>
</span>

<span class='skills note-box'>
  <div class='note-header'>&nbsp;</div>
  <div class='note-main'>
    <header class='section-header'>
      <span class='name'>{{localize 'SWADE.Skills'}}</span>
      <button type='button' class='item-create controls' data-type='skill'>
        <i class='fa fa-plus'></i>{{localize 'SWADE.Add'}}
      </button>
    </header>
    <ol class='skill-list'>
      {{#each skills}}
        {{>"systems/swade/templates/actors/character/partials/skill-card.hbs"}}
      {{/each}}
    </ol>
  </div>
  <div class='note-footer'>&nbsp;</div>
</span>
<span class='quickaccess note-box'>
  <div class='note-header'>&nbsp;</div>
  <div class='note-main'>
    {{> "systems/swade/templates/actors/character/partials/setting-fields.hbs"}}
    <header class='section-header'>
      <span class='name'>{{localize 'SWADE.QuickAccess'}}</span>
      <button
        type='button'
        class='item-create controls'
        data-type='choice'
        data-equipped='true'
        data-choices='weapon,power,armor,shield,consumable,effect,action'
      >
        <i class='fa fa-plus'></i>{{localize 'SWADE.Add'}}
      </button>
    </header>
    <ol class='quick-list'>
      {{#each sheetEffects.favorite}}
        <li
          class="gear-card item {{#if disabled}}disabled-effect{{/if}}" 
          data-effect-id='{{id}}'
          data-source-id='{{source.id}}'
        >
          <details data-collapsible-id='{{concat "effect-card-" id}}'>
            <summary class='card-header flexrow'>
              <div
                class='item-image'
                style="background-image: url('{{icon}}')"
              ></div>
              <a class='item-name' data-tooltip='{{tooltip}}'>{{name}}</a>
              <div class='item-controls'>
                <button
                  type='button'
                  class='item-control effect-action'
                  data-action='toggle'
                  data-toggle='disabled'
                >
                  <i class='fas fa-power-off'></i>
                </button>
                <button
                  type='button'
                  class='effect-action'
                  data-action='toggle'
                  data-toggle='flags.swade.favorite'
                  title='{{localize "SWADE.Favorite"}}'
                >
                  <i class='fas fa-star'></i>
                </button>
              </div>
            </summary>
            <div class='card-content content description'></div>
          </details>
        </li>
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.weapon}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    {{#if actor.hasArcaneBackground}}
      <ol class='quick-list'>
        {{#each actor.itemTypes.power}}
          {{#if system.favorite}}
            {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
          {{/if}}
        {{/each}}
      </ol>
    {{/if}}
    <ol class='quick-list'>
      {{#each actor.itemTypes.armor}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.shield}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.consumable}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.gear}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.edge}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.hindrance}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.ability}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
    <ol class='quick-list'>
      {{#each actor.itemTypes.action}}
        {{#if system.favorite}}
          {{> "systems/swade/templates/actors/character/partials/item-card.hbs"}}
        {{/if}}
      {{/each}}
    </ol>
  </div>
  <div class='note-footer'>&nbsp;</div>
</span>